:root {
    --background: #b3f3d6;
    --main: #000;
    --margin: 15px;
}

@font-face {
    font-family: 'Affigere';
    src: url('fonts/Affigere-Regular.woff2') format('woff2'),
        url('fonts/Affigere-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Xolonium';
    src: url('fonts/Xolonium-Bold.woff2') format('woff2'),
        url('fonts/Xolonium-Bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Resistance';
    src: url('fonts/resistance_generale-webfont.woff2') format('woff2'),
        url('fonts/resistance_generale-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Calacarn';
    src: url('fonts/PlantasiaCalacarn-italic.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Myrtillo';
    src: url('fonts/PlantasiaMyrtillo-Bold.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Ptah';
    src: url('fonts/Ptah-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Ptah';
    src: url('fonts/Ptah-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic
}

html {
    box-sizing: border-box;
    background-color: var(--background);
    font-family: 'Ptah', sans-serif;
    color: var(--main);
    font-size: 1.2rem;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

html::-webkit-scrollbar {display: none;}
body {margin: 0;}
body>* {
    margin: 0;
    scrollbar-width: none;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

/* General text styling */
a {color: inherit;text-decoration: none;}
h1,h2, h3{margin: 0; font-weight: normal;}
h2{font-size: 1.6rem;}
h3{font-size: 1.8rem;}
h6 {
    font-weight: normal;
    margin: 10px;
    font-size: 0.8rem;
    font-style: italic;
}
h1.title{font-family: 'Affigere', sans-serif; text-transform: uppercase; font-size: 3.5rem; line-height: 0.85;}
h1.year{ font-family: 'Xolonium', serif; font-size: 1.5em;}
h2.artist{ font-family: 'Resistance', sans-serif;}
h2.event-type{ font-family: 'Calacarn', fantasy;}
h2.event-type::after {
    content: ',';
    font-family: 'Ptah', sans-serif;
}
h2.place{ 
    font-family: 'Myrtillo', monospace; 
    color: var(--background);
    -webkit-text-stroke: 0.75px var(--main);
}
p{line-height: 1.5;}
p a{
    font-style: italic;
    text-decoration: none;
    border: solid 1px;
    padding: 2px 10px;
    border-radius: 20px;
}
h6 a {text-decoration: underline;}
p a:hover{background-color: var(--main); color: var(--background);}
.main-container p { min-height: 15px;}
figure{margin: 0;}

.button {
    padding: 5px 15px;
    border-radius: 20px;
    border: 1px solid var(--main);
    width: fit-content;
    transition: all 0.3s;
}
.button:hover{
    box-shadow: 12px 12px 24px #9ad1b8, -12px -12px 24px #ccfff4;
    transform: scale(1.1);
    cursor: pointer;
    background-color: var(--background);
}
.button.fill:hover{background: var(--background);}
.button.hide{opacity: 0 !important; pointer-events: none;}

/* ------ LAYOUT ----- */
.pop-up-container{
    z-index: 7;
    position: fixed;
    width: 100vw;
    height: 100vh;
    display: none;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(4px);
}
.pop-up-container.shown{display: flex;}
dialog {
    /* margin: auto; */
    max-width: 45vw;
    /* z-index: 5; */
}

/* MENU */
.menu-container{
    position: fixed;
    pointer-events: none;
    z-index: 5;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--background);
    transition: background-color 1s;
}
.menu-container.start{background-color: unset;}
.menu-container .menu{
    max-width: 40vw; 
    pointer-events: auto; 
    display: flex;
    flex-direction: column;
    gap: var(--margin);
    align-items: center;
}
.menu-container a{text-align: center; }
.menu .submenu {
    display: flex;
    flex-wrap: wrap;
    gap: var(--margin);
    justify-content: center;
    filter: opacity(0.35) blur(2px);
    transition: filter 0.6s;
}
.menu:hover .submenu{filter: none;}
.submenu .button{
    display: none;
    opacity: 0;
}
.submenu .button.close-menu{display: none !important;}
.submenu .button.active{color: var(--background); background-color: var(--main);}
.submenu .button.active, .submenu:hover .button, .menu.media-file .submenu .button{display: block; opacity: 1;}
.submenu .button.hidden{ display: none; opacity: 0;}
#logo {
    width: 90%;
    fill: transparent;
    stroke: black;
    /* pointer-events: auto; */
}
#logo:hover{fill: var(--background);}

/* MOBILE MENU */
.menu .mobile-menu {
    display: none;
    gap: var(--margin);
}
.filters-mobile, .nav-mobile {
    flex-direction: column;
    gap: 15px;
    position: absolute;
    bottom: 70px;
    max-height: calc(100vh - 70px);
    overflow-y: scroll;
    padding-top: var(--margin);
    display: none;
    opacity: 0;
    transition: opacity 0.6s;
}
.nav-mobile {
    right: 0;
    align-items: flex-end;
}
.filters-mobile.shown,
.nav-mobile.shown{display: flex; opacity: 1;}

/* CONTAINER */
.main-container {padding-top: var(--margin);}
.main-container.error {
    text-align: center;
    height: calc(100vh - var(--margin));
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.main-container.home {
    display: flex;
    flex-direction: column;
    padding: 0;
}
.main-container.home .year-container{
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 4;
    padding: var(--margin);
    display: flex;
    justify-content: center;
    opacity: 1;
    transition: opacity 0.2s;
}
.main-container.home .year{
    padding: 5px 30px;
    width: fit-content;
}
.main-container .event { position: relative;}
.main-container .event.current{height: 60vh;}
.main-container .event.past{max-height: 30vh; min-height: 25vh; border-top: 1px solid var(--main);}
.main-container .event a{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: inherit;
}
.event .information{
    text-shadow: 0 0 10px var(--background);
    height: inherit;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas: 
        "title title"
        "generals location";
}
.event .information .title {
    grid-area: title;
    transition: all 0.15s;
}
.event .information .title span:first-of-type, .event .information .title span:last-of-type{display: none;}
.event .information .left-info{grid-area: generals;}
.information h2.event-type, .information h2.place{display: inline;}
.event .information .right-info{grid-area: location; text-align: right;}
.event .image-icon{
    position: absolute;
    top: 0;
    right: calc(var(--margin ) * -1);
    pointer-events: none;
    margin: 0;
    z-index: -1;
    height: 100%;
    width: 35%;
    align-self: center;
    text-align: left;
    transition: transform 0.15s;
}
.event.current .image-icon{width: 100%; text-align: center;}
.event.past:nth-child(3n + 1) .image-icon {text-align: left;}
.event.past:nth-child(3n + 2) .image-icon {text-align: center;}
.event.past:nth-child(3n + 3) .image-icon {text-align: right;}
.event .image-icon img {height: 100%;}

.main-container .event:hover{z-index: 3;}
.event:hover .information .title {letter-spacing: .2rem;}
.event:hover .image-icon {transform: scale(1.3);}

/* INFO PAGE */
.main-container.info-page{
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: auto;
    height: calc(100vh - 15px);
}
.main-container .row{
    -ms-overflow-style: none;
    scrollbar-width: none;
}
.info-page .row.top{
    column-width: 400px;
    height: calc(50vh - var(--margin));
    width: 100vw;
    overflow-x: scroll;
}
.info-page .row.top .text-content{min-height: 200%;}
.info-page .row.top p:first-of-type{margin-top: 0;}
.info-page .row.bottom{height: 50vh;}
.info-page .gallery-item{height: 100%;}

/* EVENT PAGE */
.main-container.event-page {
    display: grid;
    margin-right: 0;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    gap: var(--margin);
}
.gral-info .title {
    position: sticky;
    top: var(--margin);
}
.gral-info h1.year {font-size: 1.5rem;}
.gral-info .event-type, .gral-info .place {text-align: right;}
.extras {
    display: flex;
    padding: var(--margin) 0;
    gap: var(--margin);
    flex-wrap: wrap;
}
.credits{margin-top: 10%;}
.credits h6 {
    border-top: solid 1px var(--main);
    padding-top: var(--margin);
    text-align: right;
    display: none;
}
.credits h6.shown{display: block;}
.credits h6.no-border {border: none;}
.column.right{
    margin-top: calc(var(--margin) * -1);
    height: 100vh;
    overflow: hidden;
    position: sticky;
    top: 0;
}
.column.right .button { 
    position: absolute;
    width: 50%;
    height: 100%;
    border: none;
    padding: 0;
}
.column.right .button:hover{
    background-color: inherit;
    box-shadow: none;
    transform: none;
}
.column.right .button.prev {
    cursor: url("data:image/svg+xml;utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='25' height='25' viewBox='0 0 61.86 76.25' %3E%3Cpath style='stroke:%23b3f3d6; stroke-width: 3px;' d='M60.86,24.45l-32.16,13.59,32.16,13.76v22.88L1,46.29v-16.68L60.86,1.57v22.88Z'/%3E%3C/svg%3E") 10 10, auto;
}
.column.right .button.next { 
    right: 0;
    cursor: url("data:image/svg+xml;utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='25' height='25' viewBox='0 0 61.86 76.25' %3E%3Cpath style='stroke:%23b3f3d6; stroke-width: 3px;' d='M1,51.8l32.16-13.59L1,24.46V1.58l59.86,28.38v16.68L1,74.68v-22.88Z'/%3E%3C/svg%3E") 10 10, auto;
}
.column.right .icon-mobile {
    width: 10%;
    stroke: var(--background);
    stroke-width: 3px;
    display: none;
    padding-top: var(--margin);
}
.button.img-cont {  
    margin: 10px; 
    font-size: 2rem;
    font-weight: bold;
    border-radius: 45%;
    line-height: 1;
}
.column .gallery-item {
    margin: 0;
    text-align: right;
    height: 100%;
    display: none;
}
.column .gallery-item.shown{display: block;}
.gallery-item a:hover{cursor: zoom-in;}
.gallery-item img { max-height: 100%; max-width: 100%;}
.gallery-item img.landscape { margin-top: -10px;}

.main-container.media-file {
    margin: 0;
    padding: 0;
}
figure.lightbox.landscape{height: 150vh;} 
figure.lightbox.landscape img{ height: 100%;}
figure.lightbox.portrait{width: 150vw;} 
figure.lightbox.portrait img{ width: 100%;}
figure.lightbox a:hover{cursor: zoom-out ;}
.button.lightbox{color: var(--background);}
figure.lightbox figcaption {
    position: fixed;
    bottom: 0;
    right: 0;
    background-color: var(--background);
    padding: 10px;
    margin: var(--margin);
    border-radius: 20px;
    border: 1px solid var(--main);
}

/* PDF FILES */
main.main-container.extra-file {padding-top: 0;}
main.main-container.extra-file iframe{height: 100vh;}

figure.extra-file{
    max-width: 100vw;
    display: flex;
    justify-content: center;
    min-height: 100vh;
    align-items: center;
}
figure.extra-file img{
    max-width: 100%;
    max-height: 100vh;
}
/* Mobile */
@media screen and (max-width: 500px) {
    body:not(.media-file){overflow-x: clip;}
    p{font-size: 1.3rem;}
    dialog{max-width: 85vw; font-size: 0.7rem;}
    .menu-container{justify-content: flex-start; align-items: flex-end; top: initial; bottom: 0;}
    .menu-container .menu{max-width: 100vw; width: 100%; flex-direction: row; justify-content: space-around;}
    .menu-container a{text-align: left;}
    #logo{width: 70%; fill: var(--background); stroke-width: 1.5px;}
    .menu .submenu{display: none;}
    .menu .mobile-menu {display: flex;}
    .menu .mobile-menu .button {
        font-size: 1.5rem;
        background-color: var(--background);
    }
    .menu .mobile-menu .button.active{
        background-color: var(--main); color:var(--background);
    }
    .languages { display: flex; gap: var(--margin); }
    .main-container{width: 100vw; overflow-x: clip;}
    .main-container .event .title {font-size: 2rem; }
    .main-container .event .left-info * {font-size: 1.3rem; line-height: 0.8; }
    .event.past:nth-child(3n+3) .image-icon { text-align: initial;}
    .main-container.event-page {grid-template-columns: auto;}
    .event.current .image-icon {
        left: 0;
        width: 100%;
        max-height: 100%;
        height: auto;
    }
    .column.left {padding-bottom: 10vh;}
    .extras{font-size: 1.5rem;}
    .column.right{
        margin-top: var(--margin);
        height: fit-content;
        position: relative;
    }
    .column.right .icon-mobile{display: block;}
    .column.right .button {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .column.right .icon-mobile.next {align-self: flex-end; }
    .credits {
        margin-top: 15px;
        margin-bottom: 45px;
    }
    .button.img-cont { padding: 5px 12px;}
}